# Mindmap Generator

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1784203578987925504) to try this widget and copy the Pro Config template.

## Usage

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>prompt</td><td><code>string</code></td><td>The topic that you want to generate a mindmap, and anything you want to add in the mindmap</td><td></td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name | Type     | Description                                         | File Type |
| ---- | -------- | --------------------------------------------------- | --------- |
| url  | `object` | The generated mindmap url based on the input prompt |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "url": "https://object-storage-16oh.lepton.ai/ws-k8d7q1rw/mindmap/output/a8cb94274f6a4f6daf4d651fcfed64fe.html"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/ko/create/pro-config-mode/api-reference/widgets/44-mindmap-generator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
